class LocalUser {
  String? email;
  String? password;
  String? accessToken;

  LocalUser({this.email, this.password, this.accessToken});

  LocalUser.fromJson(Map<String, dynamic> json) {
    email = json['email'];
    password = json['password'];
    accessToken = json['access_token'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['email'] = this.email;
    data['password'] = this.password;
    data['accessToken'] = this.accessToken;
    return data;
  }
}