class SysConfig {
  String? affurl;
  String? userLoginUrl;
  String? userLoginUrlKe;
  String? userBuy;
  String? userTicket;
  String? userReg;
  String? userReset;
  String? userTutorial;
  String? userRofile;
  String? userDownload;
  int? tag;

  SysConfig(
      {this.affurl,
        this.userLoginUrl,
        this.userLoginUrlKe,
        this.userBuy,
        this.userTicket,
        this.userReg,
        this.userReset,
        this.userTutorial,
        this.userRofile,
        this.userDownload,
        this.tag});

  SysConfig.fromJson(Map<String, dynamic> json) {
    affurl = json['affurl'];
    userLoginUrl = json['user_login_url'];
    userLoginUrlKe = json['user_login_url_ke'];
    userBuy = json['user_buy'];
    userTicket = json['user_ticket'];
    userReg = json['user_reg'];
    userReset = json['user_reset'];
    userTutorial = json['user_tutorial'];
    userRofile = json['user_rofile'];
    userDownload = json['user_download'];
    tag = json['tag'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['affurl'] = this.affurl;
    data['user_login_url'] = this.userLoginUrl;
    data['user_login_url_ke'] = this.userLoginUrlKe;
    data['user_buy'] = this.userBuy;
    data['user_ticket'] = this.userTicket;
    data['user_reg'] = this.userReg;
    data['user_reset'] = this.userReset;
    data['user_tutorial'] = this.userTutorial;
    data['user_rofile'] = this.userRofile;
    data['user_download'] = this.userDownload;
    data['tag'] = this.tag;
    return data;
  }
}