class User {
  int? id;
  String? nickname;
  String? account;
  int? port;
  String? passwd;
  String? uuid;
  int? transferEnable;
  String? unusedTraffic;
  int? u;
  int? d;
  int? t;
  int? enable;
  int? speedLimit;
  int? credit;
  String? expiredAt;
  Null? banTime;
  String? level;
  Null? group;
  int? lastLogin;
  Null? resetTime;
  int? inviteNum;
  Null? userGroupId;
  int? status;
  String? code;

  User(
      {this.id,
        this.nickname,
        this.account,
        this.port,
        this.passwd,
        this.uuid,
        this.transferEnable,
        this.unusedTraffic,
        this.u,
        this.d,
        this.t,
        this.enable,
        this.speedLimit,
        this.credit,
        this.expiredAt,
        this.banTime,
        this.level,
        this.group,
        this.lastLogin,
        this.resetTime,
        this.inviteNum,
        this.userGroupId,
        this.status,
        this.code});

  User.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    nickname = json['nickname'];
    account = json['account'];
    port = json['port'];
    passwd = json['passwd'];
    uuid = json['uuid'];
    transferEnable = json['transfer_enable'];
    unusedTraffic = json['unusedTraffic'];
    u = json['u'];
    d = json['d'];
    t = json['t'];
    enable = json['enable'];
    speedLimit = json['speed_limit'];
    credit = json['credit'];
    expiredAt = json['expired_at'];
    banTime = json['ban_time'];
    level = json['level'];
    group = json['group'];
    lastLogin = json['last_login'];
    resetTime = json['reset_time'];
    inviteNum = json['invite_num'];
    userGroupId = json['user_group_id'];
    status = json['status'];
    code = json['code'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['nickname'] = this.nickname;
    data['account'] = this.account;
    data['port'] = this.port;
    data['passwd'] = this.passwd;
    data['uuid'] = this.uuid;
    data['transfer_enable'] = this.transferEnable;
    data['unusedTraffic'] = this.unusedTraffic;
    data['u'] = this.u;
    data['d'] = this.d;
    data['t'] = this.t;
    data['enable'] = this.enable;
    data['speed_limit'] = this.speedLimit;
    data['credit'] = this.credit;
    data['expired_at'] = this.expiredAt;
    data['ban_time'] = this.banTime;
    data['level'] = this.level;
    data['group'] = this.group;
    data['last_login'] = this.lastLogin;
    data['reset_time'] = this.resetTime;
    data['invite_num'] = this.inviteNum;
    data['user_group_id'] = this.userGroupId;
    data['status'] = this.status;
    data['code'] = this.code;
    return data;
  }
}