class nodeMode {
  int? id;
  String? name;
  String? host;
  String? group;
  String? type;
  int? port;
  String? uuid;
  String? method;
  int? v2AlterId;
  String? v2Net;
  String? v2Type;
  String? v2Host;
  String? v2Path;
  String? v2Tls;
  String? v2Sni;
  int? udp;
  int? vless;
  String? vlessPulkey;
  String? ip;
  int? onlineUsers;
  String? countryCode;
  nodeMode(
      {this.id,
        this.name,
        this.host,
        this.group,
        this.type,
        this.port,
        this.uuid,
        this.method,
        this.v2AlterId,
        this.v2Net,
        this.v2Type,
        this.v2Host,
        this.v2Path,
        this.v2Tls,
        this.v2Sni,
        this.udp,
        this.vless,
        this.vlessPulkey,
        this.ip,
        this.onlineUsers,
        this.countryCode,
      });

  nodeMode.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    name = json['name'];
    host = json['host'];
    group = json['group'];
    type = json['type'];
    port = json['port'];
    uuid = json['uuid'];
    method = json['method'];
    v2AlterId = json['v2_alter_id'];
    v2Net = json['v2_net'];
    v2Type = json['v2_type'];
    v2Host = json['v2_host'];
    v2Path = json['v2_path'];
    v2Tls = json['v2_tls'];
    v2Sni = json['v2_sni'];
    udp = json['udp'];
    vless = json['vless'];
    vlessPulkey = json['vless_pulkey'];
    ip = json['ip'];
    onlineUsers = json['online_users'];
    countryCode = json['country_code'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['name'] = this.name;
    data['host'] = this.host;
    data['group'] = this.group;
    data['type'] = this.type;
    data['port'] = this.port;
    data['uuid'] = this.uuid;
    data['method'] = this.method;
    data['v2_alter_id'] = this.v2AlterId;
    data['v2_net'] = this.v2Net;
    data['v2_type'] = this.v2Type;
    data['v2_host'] = this.v2Host;
    data['v2_path'] = this.v2Path;
    data['v2_tls'] = this.v2Tls;
    data['v2_sni'] = this.v2Sni;
    data['udp'] = this.udp;
    data['vless'] = this.vless;
    data['vless_pulkey'] = this.vlessPulkey;
    data['ip'] = this.ip;
    data['online_users'] = this.onlineUsers;
    data['country_code'] = this.countryCode;
    return data;
  }
}
